// Author: NiuJiuRu
// Email: niujiuru@qq.com
// Date: 2025-11-20
#ifndef __MCU_CTRL_BOARD_H__
#define __MCU_CTRL_BOARD_H__

#include "../../rtu_linux_modules/swapi/include_swapiLib.h"

#ifdef __cplusplus
extern "C"
{
#endif

// 打开与MCU控制板的串口通讯, 返回: 0成功, <0时失败
int MCBComInit();

// 关闭与MCU控制板的串口通讯, 返回: 0成功, <0时失败
int MCBComExit();

// 主动的发送指令给MCU控制板, 返回: 0成功, <0时失败
int MCBComSendCmd(const char *cmd);

#ifdef __cplusplus
}
#endif

#endif // __MCU_CTRL_BOARD_H__
